#ifndef NEREK_H
#define NEREK_H

// -------------------------------nerek.h---------------------------------------
//
//    NEREK by Chad Rempp
//    March 1 2002
//    Version 0.0.02
//
//	  Also Stolen from M Buckland
//
//------------------------------------------------------------------------------

// Structure for user defined variables
struct SimData_typ{
    int NumInputs;
    int NumOutputs;
    int NumHiddenLayers;
    int NeuronsPerLayer;
    int NeuronsPerHLayer;
};

#define RANDOM_CLAMP    (((float)rand()-(float)rand())/RAND_MAX)
#define RANDOM_NUM      ((float)rand()/(RAND_MAX+1))

// Default values for an NN
#define NUM_INPUTS             6
#define NUM_OUTPUTS            2
#define DEFAULT_HIDDEN_LAYERS  1
#define DEFAULT_NEURONS_PER_HL 9

#endif
